/*
 * jsignal.h
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#ifndef UNIXJTHREAD_SIGNAL_H
#define UNIXJTHREAD_SIGNAL_H

#include "jcpu.h"

static inline
void unblockAsyncSignals(void)
{
	jcpuSignalUnblock(JCPU_ASYNC_SIGNALS);
}

static inline
void blockAsyncSignals(void)
{
	jcpuSignalBlock(JCPU_ASYNC_SIGNALS);
}

#endif /* UNIXJTHREAD_SIGNAL_H */
