/*
 * xmb_sensors.c
 *
 * Copyright (c) 2002 University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Contributed by the Flux Research Group, Department of Computer Science,
 * University of Utah, http://www.cs.utah.edu/flux/
 */

#include "xmb_sensors.h"

xmb_sensor_feature xmb_sensor_features[] = {
	{ "TEMP0", SENSOR_TYPE_TEMP, 0 },
	{ "TEMP1", SENSOR_TYPE_TEMP, 1 },
	{ "TEMP2", SENSOR_TYPE_TEMP, 2 },
	
	{ "FAN0", SENSOR_TYPE_FAN, 0 },
	{ "FAN1", SENSOR_TYPE_FAN, 1 },
	{ "FAN2", SENSOR_TYPE_FAN, 2 },
	
	{ "VC0", SENSOR_TYPE_VOLT, 0 },
	{ "VC1", SENSOR_TYPE_VOLT, 1 },
	{ "V33", SENSOR_TYPE_VOLT, 2 },
	{ "V50P", SENSOR_TYPE_VOLT, 3 },
	{ "V50N", SENSOR_TYPE_VOLT, 4 },
	{ "V12P", SENSOR_TYPE_VOLT, 5 },
	{ "V12N", SENSOR_TYPE_VOLT, 6 },
	{ 0, SENSOR_TYPE_INVALID, 0 }
};
