/**
 * exittest.java
 *
 * Copyright (c) 2001,2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * Permission to use, copy, modify, distribute, and sell this file for
 * any purpose is hereby granted without fee, provided that the above
 * copyright notice is maintained.
 */

package edu.utah.janosvm.apps;

/**
 * exittest.  A simple test program for exit values.
 *
 * @author Patrick Tullmann, University of Utah &lt;<a href="mailto:tullmann@cs.utah.edu">tullmann@cs.utah.edu</a>&gt;
 */
public class exittest
{
    public static void main(String[] args)
    {
	String arg = args[0];
	
	if (arg.equals("exit-0"))
	    System.exit(0);
	if (arg.equals("exit-11"))
	    System.exit(11);
	if (arg.equals("halt-0"))
	    Runtime.getRuntime().halt(0);
	if (arg.equals("halt-11"))
	    Runtime.getRuntime().halt(11);
	if (arg.equals("fade"))
	    return;
	if (arg.equals("except"))
	    throw new Error("only thread threw exception");
	
	System.out.println("Usage:");
	System.out.println("   exittest [exit-0 | exit-11 | halt-0 | halt-11 | fade | except]");
    }
}
