/*
 * sleep.java
 *
 * Copyright (c) 2001,2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * Permission to use, copy, modify, distribute, and sell this file for
 * any purpose is hereby granted without fee, provided that the above
 * copyright notice is maintained.
 */

package edu.utah.janosvm.apps;

/**
 * sleep.  Java version of the unix 'sleep' command.
 *
 * @author Patrick Tullmann, University of Utah &lt;<a href="mailto:tullmann@cs.utah.edu">tullmann@cs.utah.edu</a>&gt;
 */
public class sleep
{
    public static void main(String[] args)
	throws InterruptedException, NumberFormatException
    {
	long millis = 0;
	
	if (args.length > 0)
	    millis = Long.parseLong(args[0]);
	
	Thread.sleep(millis);
	
	System.exit(0);
    }
}
