/*
 * IsolateResourceError.java
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package java.lang.isolate;

public class IsolateResourceError
  extends Error 
{  
  public IsolateResourceError() {
  }

  public IsolateResourceError(String detail) {
    super(detail);
  }

  public IsolateResourceError(String detail, Throwable cause) {
    super(detail, cause);
  }

  public IsolateResourceError(Throwable error) {
    super(error);
  }
}
