/*
 * LinkSerializationException.java
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */
package java.lang.isolate;

public class LinkSerializationException
  extends java.io.IOException
{
  public LinkSerializationException(String detail, Exception cause) {
    super(detail);
    this.initCause(cause);
  }

  public LinkSerializationException(Exception cause) {
    super();
    this.initCause(cause);
  }
}
