#
# Copyright (c) 2003 The University of Utah and the Flux Group.
# All rights reserved.
# 
# This file is part of the JanosVM documentation.
# 
# Permission to use, copy, modify, distribute, and sell this
# documentation for any purpose is hereby granted without fee,
# provided that the above copyright notice(s) appear in all copies.
#
# Author: Tim Stack
#

from janosvm import *

class Proxy:
    def __init__(self, jvm, pid):
        self.jvm = jvm
        self.jvm.msg.pushSpecifier("proxy", pid)

    def delete(self):
        self.jvm.msg.setWhat(JSI_DELETE_PROPERTY)
        try:
            self.jvm.send()
        except MessageError:
            pass
