
import edu.utah.janosvm.sys.Team;
import edu.utah.janosvm.sys.TeamEvent;
import edu.utah.janosvm.sys.EventTeamHandle;
import edu.utah.janosvm.sys.TeamReservation;
import edu.utah.janosvm.sys.TeamEventHandler;

public class EventSuicide
{
    public static void main(String args[])
    {
	Team team;
	
	team = Team.current();
	team.notifyOnFinish();
	team.setEventHandler(new TeamEventHandler() {
		public void event(EventTeamHandle eth,
				  TeamReservation tr,
				  TeamEvent te)
		{
		    switch( te.getEvent() )
		    {
		    case TeamEvent.FINISHED:
			eth.terminate();
			break;
		    }
		}
	    });
	/*
	 * Since this might be a JSI thread it will be visiting this team
	 * which would prevent it from actually dying so we create a new
	 * thread to do the terminate.
	 */
	new Thread(new Runnable() {

	    public void run()
	    {
		Thread.yield();
		System.out.println("I just can't take it anymore!");
	    }
	    
	}).start();
    }
    
}

/* Expected Output:
I just can't take it anymore!
*/
