/*
 * defs.h
 *
 * Copyright (c) 1996, 1997
 *	Transvirtual Technologies, Inc.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution 
 * of this file. 
 */

#ifndef __defs_h
#define __defs_h

#include <limits.h>

#define	MAXNUMLEN	64
#define	MAXLIBPATH	1024

#if !defined(MAXNAMELEN)
#define	MAXNAMELEN	1024
#endif

#if !defined(MAXPATHLEN)
#  if defined(PATH_MAX)
#  define MAXPATHLEN	PATH_MAX
#  else
#  define MAXPATHLEN	4096
#  endif
#endif

#if !defined(__XSTRING)
#define __XSTRING(s) __STRING(s)
#endif

#ifndef MIN
#define MIN(A,B) ((A) < (B) ? (A) : (B))
#endif

#ifndef MAX
#define MAX(A,B) ((A) > (B) ? (A) : (B))
#endif

#ifndef ABS
#define ABS(A) ((A) < 0) ? -(A) : (A))
#endif

#endif
