/*
 * jskedStride.h
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

#ifndef _jsked_stride_h
#define _jsked_stride_h

/* Check if this is the active scheduler. */
#if defined(JSKED_STRIDE)

/*
 * A jskedStrideReservation is used to specify the share for a given jsked.
 *
 * jsr_Tickets - The number of tickets to give the new jsked.
 */
typedef struct _jskedReservation {
	int jsr_Tickets;
} jskedStrideReservation;

#endif

#endif
