/*
 * fopen_search.h
 *
 * Copyright (c) 2003 University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Contributed by the Flux Research Group, Department of Computer Science,
 * University of Utah, http://www.cs.utah.edu/flux/
 */

#ifndef __fopen_search_h
#define __fopen_search_h

#include <stdio.h>

#include "kpath.h"

FILE *
fopen_search(const char *path,
	     struct lnList *dir_list,
	     const char *mode,
	     /* OUT */ char **out_path);

#endif
