/*
 * echo.java
 *
 * Copyright (c) 2001,2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * Permission to use, copy, modify, distribute, and sell this file for
 * any purpose is hereby granted without fee, provided that the above
 * copyright notice is maintained.
 */

package edu.utah.janosvm.apps;

/**
 * echo.  Java version of the unix 'echo' command.
 *
 * @author Patrick Tullmann, University of Utah &lt;<a href="mailto:tullmann@cs.utah.edu">tullmann@cs.utah.edu</a>&gt;
 */
public class echo
{
    public static void main(String[] args)
    {
	if (args == null)
	    return;
	
	int i = 0;
	while (i < (args.length - 1))
	{
	    System.out.print(args[i] + " ");
	    i++;
	}
	System.out.println(args[args.length -1]);
    }
}
