/*
 * IsolatedServlet.java
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */

package edu.utah.janosvm.apps.isoserv;

import java.io.InputStream;
import java.io.OutputStream;

/**
 * Interface implemented by our quick and dirty "servlets".
 */
public interface IsolatedServlet
    extends HTTPConstants
{
    /**
     * Call back used to handle a new request.
     *
     * @param is The InputStream from the client.
     * @param os The OutputStream to the client.
     */
    void handle(InputStream is, OutputStream os);
}
