/*
 * IsolateMessage_Empty.java
 *
 * Copyright (c) 2002 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Lesser 
 * General Public License.
 * 
 * See the file "license-lesser.terms" for information on 
 * usage and redistribution of this file.
 */
package java.lang.isolate;

import edu.utah.janosvm.sys.TeamHandle;

public class IsolateMessage_Empty
extends IsolateMessage_DataMessage
{
  /*package*/ IsolateMessage_Empty()
  {
  }

  public void acceptVisitor(IsolateMessageVisitor imv)
    throws LinkSerializationException
  {
    imv.visitEmptyMessage();
  }

  /*package*/ boolean isIOMessage()
  {
    return false;
  }

  public boolean equals(Object o)
  {
    return this == o;
  }

  /** 
   * INTERNAL translation of IsolateMessage_Empty.  Doesn't need any
   * translation...
   */
  /*package*/ IsolateMessage translate(TeamHandle sourceTeam, TeamHandle currentTeam)
    throws ClosedLinkException
  {
    return this;
  }
}
