
/*
 * Simple test to make sure JSI prints out a useful message (or atleast
 * similar to the one the regular Kaffe main prints out), when the class
 * to run fails to load properly.
 */

public class BadClass
{
    static void killme()
    {
	throw new Error("Blah, blah, blah");
    }
    
    static {
	killme();
    }
}

// No Line Numbers

/* Expected Output:
java.lang.Error: Blah, blah, blah
	at java.lang.Throwable.fillInStackTrace(Throwable.java:XXXXnative)
	at java.lang.Throwable.<init>(Throwable.java:XXXX)
	at java.lang.Error.<init>(Error.java:XXXX)
	at BadClass.killme(BadClass.java:XXXX)
	at BadClass.<clinit>(BadClass.java:XXXX)
	at java.lang.Class.forName0(Class.java:XXXXnative)
	at java.lang.Class.forName(Class.java:XXXX)
*/
