
public class UncaughtException
{
    private static class UncaughtRunnable
	implements Runnable
    {
	public void run()
	{
	    throw new Error("Catch me");
	}
    }
    
    public static void main(String args[])
	throws Exception
    {
	Thread th = new Thread(new UncaughtRunnable());

	th.start();
	th.join();
    }
}

// No Line Numbers

/* Expected output:
java.lang.Error: Catch me
	at java.lang.Throwable.fillInStackTrace(Throwable.java:XXXXnative)
	at java.lang.Throwable.<init>(Throwable.java:XXXX)
	at java.lang.Error.<init>(Error.java:XXXX)
	at UncaughtException$UncaughtRunnable.run(UncaughtException.java:XXXX)
	at java.lang.Thread.run(Thread.java:XXXX)
*/
